Bug 7068 - pdb_search api may crash as non-root user (e.g. with pdbedit)
pdb_search api may crash as non-root user (e.g. with pdbedit)
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: User & Group Accounts
3.4.4
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-27 08:43 UTC by Guenther Deschner
Modified: 2010-01-27 09:01 UTC (History)
0 users

See Also:


Attachments
Fix from Volker for 3-4-test (1.14 KB, patch)
2010-01-27 08:45 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2010-01-27 08:43:40 UTC
Volker fixed it in master with d07464b21fe652e205f5eb2c74d12495bab100ce
Comment 1 Guenther Deschner 2010-01-27 08:45:50 UTC
Created attachment 5224 [details]
Fix from Volker for 3-4-test
Comment 2 Guenther Deschner 2010-01-27 08:48:32 UTC
Karolin, this needs to get into v3-4-test and v3-5-test
Comment 3 Guenther Deschner 2010-01-27 08:58:19 UTC
sorry, v3-5-test already has it. so only needed for v3-4-test.
Comment 4 Karolin Seeger 2010-01-27 09:01:55 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks!